package com.shinsoft.sto.service.impl.ware;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.shinsoft.sto.mapper.ware.ChangeRecordMapper;
import com.shinsoft.sto.model.system.ResponseCodeMsg;
import com.shinsoft.sto.model.ware.ChangeRecord;
import com.shinsoft.sto.service.ware.ChangeRecordService;
import com.shinsoft.tools.JSONTools;
import com.shinsoft.sto.model.system.ResultJSON;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 材料操作 服务实现类
 * </p>
 *
 * @author system
 * @since 2024-12-05
 */
@Service
public class ChangeRecordServiceImpl extends ServiceImpl<ChangeRecordMapper, ChangeRecord> implements ChangeRecordService {


    @Override
    public ResultJSON query(int page, int rows, Map<String, Object> map) {
        try {
            Page<ChangeRecord> pageParam = new Page<>(page, rows);
            IPage<ChangeRecord> result = baseMapper.selectChangeRecordPage(pageParam, map);
            return ResultJSON.success(result);
        } catch (Exception ex) {
            ex.printStackTrace();
            return ResultJSON.error(ResponseCodeMsg.CODE_EX, ex.getMessage());
        }
    }
}

